Package org.apache.storm.streams

# Class ProcessorNode

java.lang.Object
org.apache.storm.streams.ProcessorNode

All Implemented Interfaces:
  `Serializable`

public class ProcessorNode extends Object
Node that wraps a processor in the stream.

See Also:
  - Serialized Form

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected String`
  `componentId`
  `protected org.apache.storm.streams.GroupingInfo`
  `groupingInfo`
  `protected final Fields`
  `outputFields`
  `protected int`
  `parallelism`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ProcessorNode(Processor<?> processor, String outputStream, Fields outputFields)`
  `ProcessorNode(Processor<?> processor, String outputStream, Fields outputFields, boolean preservesKey)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `emitsPair()`
  `Fields`
  `getOutputFields()`
  `Processor<?>`
  `getProcessor()`
  `Set<String>`
  `getWindowedParentStreams()`
  `boolean`
  `isBatch()`
  `boolean`
  `isPreservesKey()`
  `boolean`
  `isWindowed()`
  `void`
  `setEmitsPair(boolean emitsPair)`
  `void`
  `setWindowed(boolean windowed)`
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### outputFields

    protected final Fields outputFields

  - ### groupingInfo

    protected org.apache.storm.streams.GroupingInfo groupingInfo

  - ### componentId

    protected String componentId

  - ### parallelism

    protected int parallelism

- ## Constructor Details

  - ### ProcessorNode

    public ProcessorNode(Processor<?> processor, String outputStream, Fields outputFields, boolean preservesKey)

  - ### ProcessorNode

    public ProcessorNode(Processor<?> processor, String outputStream, Fields outputFields)

- ## Method Details

  - ### getProcessor

    public Processor<?> getProcessor()

  - ### isBatch

    public boolean isBatch()

  - ### getWindowedParentStreams

    public Set<String> getWindowedParentStreams()

  - ### isPreservesKey

    public boolean isPreservesKey()

  - ### toString

    public String toString()

  - ### getOutputFields

    public Fields getOutputFields()

  - ### isWindowed

    public boolean isWindowed()

  - ### setWindowed

    public void setWindowed(boolean windowed)

  - ### emitsPair

    public boolean emitsPair()

  - ### setEmitsPair

    public void setEmitsPair(boolean emitsPair)